---
title: 'workspace-generator - CLI command'
description: 'Runs a workspace generator from the tools/generators directory'
---

# workspace-generator

Runs a workspace generator from the tools/generators directory

## Usage

```shell
nx workspace-generator [name]
```

Install `nx` globally to invoke the command directly using `nx`, or use `npx nx`, `yarn nx`, or `pnpm nx`.

## Options

### help

Type: `boolean`

Show help

### list-generators

Type: `boolean`

List the available workspace-generators

### name

Type: `string`

The name of your generator

### version

Type: `boolean`

Show version number
